<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddHandoffConfigurationReq StructType
 * @subpackage Structs
 */
class AddHandoffConfigurationReq extends APIRequest
{
    /**
     * The handoffConfiguration
     * @var XHandoffConfiguration
     */
    public $handoffConfiguration;
    /**
     * Constructor method for AddHandoffConfigurationReq
     * @uses AddHandoffConfigurationReq::setHandoffConfiguration()
     * @param XHandoffConfiguration $handoffConfiguration
     */
    public function __construct(XHandoffConfiguration $handoffConfiguration = null)
    {
        $this
            ->setHandoffConfiguration($handoffConfiguration);
    }
    /**
     * Get handoffConfiguration value
     * @return XHandoffConfiguration|null
     */
    public function getHandoffConfiguration()
    {
        return $this->handoffConfiguration;
    }
    /**
     * Set handoffConfiguration value
     * @param XHandoffConfiguration $handoffConfiguration
     * @return AddHandoffConfigurationReq
     */
    public function setHandoffConfiguration(XHandoffConfiguration $handoffConfiguration = null)
    {
        $this->handoffConfiguration = $handoffConfiguration;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddHandoffConfigurationReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
